- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::ScaleControllerFunction Class Reference

Predefined controller function which simply scales an input to an output value. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::ScaleControllerFunction:
[legend]

List of all members.

## Public Member Functions
| ScaleControllerFunction (Real scalefactor, bool deltaInput)
| Constructor, requires a scale factor.
Real | calculate (Real source)
| Overriden method.
virtual T | calculate (T sourceValue)=0
## Protected Member Functions
T | getAdjustedInput (T input)
| Gets the input value as adjusted by any delta.
## Protected Attributes
Real | mScale
bool | mDeltaInput
| If true, function will add imput values together and wrap at 1.0 before evaluating.
T | mDeltaCount

## Detailed Description

Predefined controller function which simply scales an input to an output value.

Definition at line 213 of file OgrePredefinedControllers.h.

## Constructor & Destructor Documentation

Ogre::ScaleControllerFunction::ScaleControllerFunction | ( | Real | scalefactor,
|  | bool | deltaInput |
| ) |  |  |

Constructor, requires a scale factor.

Parameters:

  | scalefactor | The multipier applied to the input to produce the output.
  | deltaInput | If true, signifies that the input will be a delta value such that the function should add it to an internal counter before calculating the output.

## Member Function Documentation

Real Ogre::ScaleControllerFunction::calculate | ( | Real | source | ) |

Overriden method.

template<typename T>

T Ogre::ControllerFunction< T >::getAdjustedInput | ( | T | input | ) | `[protected, inherited]`

Gets the input value as adjusted by any delta.

Definition at line 60 of file OgreController.h.

template<typename T>

virtual T Ogre::ControllerFunction< T >::calculate | ( | T | sourceValue | ) | `[pure virtual, inherited]`

## Member Data Documentation

Real Ogre::ScaleControllerFunction::mScale`[protected]`

Definition at line 216 of file OgrePredefinedControllers.h.

template<typename T>

bool Ogre::ControllerFunction< T >::mDeltaInput`[protected, inherited]`

If true, function will add imput values together and wrap at 1.0 before evaluating.

Definition at line 55 of file OgreController.h.

Referenced by Ogre::ControllerFunction< float >::ControllerFunction(), and Ogre::ControllerFunction< float >::getAdjustedInput().

template<typename T>

T Ogre::ControllerFunction< T >::mDeltaCount`[protected, inherited]`

Definition at line 56 of file OgreController.h.

Referenced by Ogre::ControllerFunction< float >::ControllerFunction(), and Ogre::ControllerFunction< float >::getAdjustedInput().

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:51:51 2008